Public Attributes | List of all members
_hal_qspi_callback Struct Reference
Peripheral Driver » HAL Driver » QSPI » Callback Structures » Callback

HAL_QSPI Callback function definition. More...

`#include <gr55xx_hal_qspi.h>`

## Public Attributes
void(* | qspi_msp_init )(qspi_handle_t *p_qspi)
void(* | qspi_msp_deinit )(qspi_handle_t *p_qspi)
void(* | qspi_error_callback )(qspi_handle_t *p_qspi)
void(* | qspi_abort_cplt_callback )(qspi_handle_t *p_qspi)
void(* | qspi_fifo_threshold_callback )(qspi_handle_t *p_qspi)
void(* | qspi_rx_cplt_callback )(qspi_handle_t *p_qspi)
void(* | qspi_tx_cplt_callback )(qspi_handle_t *p_qspi)

## Detailed Description

HAL_QSPI Callback function definition.

Definition at line 212 of file gr55xx_hal_qspi.h.

## Member Data Documentation

## ◆ qspi_abort_cplt_callback

void(* _hal_qspi_callback::qspi_abort_cplt_callback) (qspi_handle_t *p_qspi)

QSPI abort complete callback

Definition at line 217 of file gr55xx_hal_qspi.h.

## ◆ qspi_error_callback

void(* _hal_qspi_callback::qspi_error_callback) (qspi_handle_t *p_qspi)

QSPI error callback

Definition at line 216 of file gr55xx_hal_qspi.h.

## ◆ qspi_fifo_threshold_callback

void(* _hal_qspi_callback::qspi_fifo_threshold_callback) (qspi_handle_t *p_qspi)

QSPI FIFO threshold callback

Definition at line 218 of file gr55xx_hal_qspi.h.

## ◆ qspi_msp_deinit

void(* _hal_qspi_callback::qspi_msp_deinit) (qspi_handle_t *p_qspi)

QSPI de-init MSP callback

Definition at line 215 of file gr55xx_hal_qspi.h.

## ◆ qspi_msp_init

void(* _hal_qspi_callback::qspi_msp_init) (qspi_handle_t *p_qspi)

QSPI init MSP callback

Definition at line 214 of file gr55xx_hal_qspi.h.

## ◆ qspi_rx_cplt_callback

void(* _hal_qspi_callback::qspi_rx_cplt_callback) (qspi_handle_t *p_qspi)

QSPI rx transfer completed callback

Definition at line 219 of file gr55xx_hal_qspi.h.

## ◆ qspi_tx_cplt_callback

void(* _hal_qspi_callback::qspi_tx_cplt_callback) (qspi_handle_t *p_qspi)

QSPI tx transfer completed callback

Definition at line 220 of file gr55xx_hal_qspi.h.

The documentation for this struct was generated from the following file:

- gr55xx_hal_qspi.h